Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002138 [JEDI VCL] 00 JVCL Components major always 2004-09-12 05:00 2007-01-03 12:25
Reporter PSUser View Status public  
Assigned To wapostma
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA
Summary 0002138: Docking: Unexpected focus behaviour
Description   Hi,

  it seems the docking components have a problem with focusing, at
  least it's an odd behaviour imo.

  Compile the attached test-application and then dock the "DockForm" to the
  right side.

  Then create a child-window using the "create new child" button. The child
  form should display "got focus".

  Now click into the titlebar like area from the dockform to activate it.
  The child-form will lose its focus (ok so far).

  But now ... click into the child-window again. It should get the focus again imo,
  but it does not! The focus has still the dockform window.

  Thanks!
Additional Information
Tags No tags attached.
Attached Files zip file icon DockFocus.zip [^] (4,003 bytes) 2004-09-12 05:00

- Relationships

-  Notes
(0006461)
wapostma (developer)
2005-02-11 20:51

I have noticed this, and other focusing quirks. Investigating. Currently making major improvements to JvDocking, and this will be part of those efforts.
(0006758)
anonymous (viewer)
2005-03-25 08:23

Is this already fixed in the latest available JVCL built?
(0008748)
obones (administrator)
2006-03-30 04:59

Any news ?
(0008782)
PSUser (reporter)
2006-03-31 02:11

Tested with the latest JVCL/JCL package (JVCL320CompleteJCL197-Build2172.zip) and it still has a wrong focus behaviour as initially reported.
(0009658)
obones (administrator)
2006-06-27 03:36

Please try with the Daily version from here:

http://jvcl.sf.net/daily/ [^]
(0010495)
obones (administrator)
2007-01-03 12:24

No news, I'm assuming this is fixed in the latest revision

- Issue History
Date Modified Username Field Change
2004-09-12 05:00 PSUser New Issue
2004-09-12 05:00 PSUser File Added: DockFocus.zip
2005-02-11 20:51 wapostma Status new => assigned
2005-02-11 20:51 wapostma Assigned To => wapostma
2005-02-11 20:51 wapostma Note Added: 0006461
2005-03-25 08:23 anonymous Note Added: 0006758
2006-03-30 04:59 obones Note Added: 0008748
2006-03-30 04:59 obones Status assigned => feedback
2006-03-31 02:11 PSUser Note Added: 0008782
2006-06-27 03:36 obones Note Added: 0009658
2007-01-03 12:24 obones Status feedback => resolved
2007-01-03 12:24 obones Fixed in Version => Daily / SVN
2007-01-03 12:24 obones Resolution open => fixed
2007-01-03 12:24 obones Note Added: 0010495


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker